CVE-2024-1765

CVSS 3.1 Score 5.9 of 10 (medium)

Details

Published Mar 12, 2024
Updated: Mar 13, 2024
CWE ID 400
CWE ID 770

Summary

CVE-2024-1765 is a vulnerability that affects Cloudflare Quiche up to version 0.19.1/0.20.0. This vulnerability allows for unlimited resource allocation, leading to a rapid increase in system memory usage when running a quiche server or client. An attacker can exploit this by repeatedly sending an unlimited number of 1-RTT CRYPTO frames after completing the QUIC handshake, and the exploitation can continue for the duration of the connection, which could be extended by the attacker. The fix for this issue is included in quiche versions 0.19.2 and 0.20.1. This vulnerability poses a medium risk with high availability impact and requires no privileges or user interaction to be exploited.

Note: The information provided in the paragraph is based on facts extracted from the original text but has been rephrased to avoid plagiarism.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-1765 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options